## atspi-table-cell atspi-table-cell |

## Functions

gint | atspi_table_cell_get_column_span ()
GPtrArray * | atspi_table_cell_get_column_header_cells ()
gint | atspi_table_cell_get_column_index ()
gint | atspi_table_cell_get_row_span ()
GPtrArray * | atspi_table_cell_get_row_header_cells ()
void | atspi_table_cell_get_row_column_span ()
AtspiAccessible * | atspi_table_cell_get_table ()

## Types and Values

| AtspiTableCell

## Object Hierarchy

        GInterface
        ╰── AtspiTableCell

## Known Implementations

AtspiTableCell is implemented by AtspiAccessible.

## Description

## Functions

### atspi_table_cell_get_column_span ()

    gint
    atspi_table_cell_get_column_span (AtspiTableCell *obj,
                                      GError **error);

Returns the number of columns occupied by this cell accessible.

#### Parameters

obj | a GObject instance that implements AtspiTableCellIface |

#### Returns

a gint representing the number of columns occupied by this cell, or 0 if the cell does not implement this method.

### atspi_table_cell_get_column_header_cells ()

    GPtrArray *
    atspi_table_cell_get_column_header_cells
                                   (AtspiTableCell *obj,
                                    GError **error);

Returns the column headers as an array of cell accessibles.

#### Parameters

obj | a GObject instance that implements AtspiTableCellIface |

#### Returns

a GPtrArray of AtspiAccessibles representing the column header cells.

[element-type AtspiAccessible][transfer full]

### atspi_table_cell_get_column_index ()

    gint
    atspi_table_cell_get_column_index (AtspiTableCell *obj,
                                       GError **error);

Translates this cell accessible into the corresponding column index.

#### Parameters

obj | a GObject instance that implements AtspiTableCellIface |

#### Returns

the column index for this cell, or -1 if unimplemented.

### atspi_table_cell_get_row_span ()

    gint
    atspi_table_cell_get_row_span (AtspiTableCell *obj,
                                   GError **error);

Returns the number of rows occupied by this cell accessible.

#### Parameters

obj | a GObject instance that implements AtspiTableCellIface |

#### Returns

a gint representing the number of rows occupied by this cell, or 0 if the cell does not implement this method.

### atspi_table_cell_get_row_header_cells ()

    GPtrArray *
    atspi_table_cell_get_row_header_cells (AtspiTableCell *obj,
                                           GError **error);

Returns the row headers as an array of cell accessibles.

#### Parameters

obj | a GObject instance that implements AtspiTableCellIface |

#### Returns

a GPtrArray of AtspiAccessibles representing the row header cells.

[element-type AtspiAccessible][transfer full]

### atspi_table_cell_get_row_column_span ()

    void
    atspi_table_cell_get_row_column_span (AtspiTableCell *obj,
                                          gint *row,
                                          gint *column,
                                          gint *row_span,
                                          gint *column_span,
                                          GError **error);

Gets the row and column indexes and extents of this cell accessible.

#### Parameters

obj | a GObject instance that implements AtspiTableCellIface |
row | the row index of the given cell. | [out]
column | the column index of the given cell. | [out]
row_span | the number of rows occupied by this cell. | [out]
column_span | the number of columns occupied by this cell. | [out]

### atspi_table_cell_get_table ()

    AtspiAccessible *
    atspi_table_cell_get_table (AtspiTableCell *obj,
                                GError **error);

Returns a reference to the accessible of the containing table.

#### Parameters

obj | a GObject instance that implements AtspiTableCellIface |

#### Returns

the AtspiAccessible for the containing table.

[transfer full]

## Types and Values

### AtspiTableCell

    typedef struct _AtspiTableCell AtspiTableCell;